﻿using System;

namespace AccountRepository
{
    public sealed class Person
    {
        internal string FirstName { get; set; }
        internal string LastName { get; set; }
        internal string ShownName { get; set; }
        internal string EMail { get; set; }
        internal string Password { get; set; }
        internal DateTime DateOfBirth { get; set; }
        internal UInt16 ID { get; set; }
        internal enum Roles
        {
            normalUser,
            administrator
        }
        internal Roles Role { get; set; }

        internal bool IsAccountActive { get; set; }

        internal Person(string firstName, string lastName, string shownName, string eMail, string password, DateTime dateOfBirth, UInt16 id, Roles role, bool accountIsActive)
        {
            this.FirstName = firstName;
            this.LastName = lastName;
            this.ShownName = shownName;
            this.EMail = eMail;
            this.Password = password;
            this.DateOfBirth = dateOfBirth;
            this.ID = id;
            this.Role = role;
            this.IsAccountActive = accountIsActive;
        }
    }
}